## httping 0.0.95

=== Makefile ===
# The GPL applies to this program.
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL.  If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so.  If you
# do not wish to do so, delete this exception statement from your
# version.  If you delete this exception statement from all source
# files in the program, then also delete it here.

VERSION=0.0.95

DEBUG=#-g
LDFLAGS=-lssl $(DEBUG)
CFLAGS=-O2 -Wall -DVERSION=\"$(VERSION)\" $(DEBUG)

OBJS=http.o io.o str.o error.o utils.o main.o tcp.o mssl.o

all: httping

httping: $(OBJS)
	$(CC) -Wall -W $(OBJS) $(LDFLAGS) -o httping

install: httping
	cp httping $(DESTDIR)/usr/bin

clean:
	rm -f $(OBJS) core httping

package: clean
	# source package
	rm -rf httping-$(VERSION)*
	mkdir httping-$(VERSION)
	cp *.c *.h Makefile* readme.txt license.* httping-$(VERSION)
	tar czf httping-$(VERSION).tgz httping-$(VERSION)
	rm -rf httping-$(VERSION)

## httping 0.0.96

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # version.  If you delete this exception statement from all source
 # files in the program, then also delete it here.
 
-VERSION=0.0.95
+VERSION=0.0.96
 
 DEBUG=#-g
 LDFLAGS=-lssl $(DEBUG)

## httping 0.1.0

=== DESCRIPTION ===
Package: httping
Title: 'Ping' 'URLs' to Time 'Requests'
Description: A suite of functions to ping 'URLs' and to time
    'HTTP' 'requests'. Designed to work with 'httr'.
Version: 0.1.0
Date: 2016-01-02
Authors@R: person("Scott", "Chamberlain", role = c("aut", "cre"),
    email = "myrmecocystus@gmail.com")
License: MIT + file LICENSE
URL: https://github.com/sckott/httping
BugReports: https://github.com/sckott/httping/issues
Depends: httr (>= 1.0.0)
Imports: methods, stats, jsonlite (>= 0.9.19), pryr (>= 0.1.2),
        magrittr (>= 1.5), httpcode (>= 0.1.0)
Suggests: testthat
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-01-02 23:46:58 UTC; sacmac
Author: Scott Chamberlain [aut, cre]
Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
Repository: CRAN
Date/Publication: 2016-01-03 16:14:08

## httping 0.2.0

=== DESCRIPTION ===
Package: httping
Title: 'Ping' 'URLs' to Time 'Requests'
Description: A suite of functions to ping 'URLs' and to time
    'HTTP' 'requests'. Designed to work with 'httr'.
Version: 0.2.0
Authors@R: person("Scott", "Chamberlain", role = c("aut", "cre"),
    email = "myrmecocystus@gmail.com")
License: MIT + file LICENSE
URL: https://github.com/sckott/httping
BugReports: https://github.com/sckott/httping/issues
Depends: httr (>= 1.3.1)
Imports: methods, stats, jsonlite (>= 1.5), pryr (>= 0.1.3), magrittr,
        httpcode (>= 0.2.0)
Suggests: roxygen2 (>= 6.0.1), testthat
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-01-03 03:19:27 UTC; sckott
Author: Scott Chamberlain [aut, cre]
Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
Repository: CRAN
Date/Publication: 2018-01-03 04:32:52 UTC

## httping 0.3.0

=== DESCRIPTION ===
Package: httping
Title: 'Ping' 'URLs' to Time 'Requests'
Description: A suite of functions to ping 'URLs' and to time
    'HTTP' 'requests'. Designed to work with 'httr'.
Version: 0.3.0
Authors@R: person("Scott", "Chamberlain", role = c("aut", "cre"),
    email = "myrmecocystus@gmail.com")
License: MIT + file LICENSE
URL: https://github.com/sckott/httping
BugReports: https://github.com/sckott/httping/issues
Encoding: UTF-8
Language: en-US
Imports: httr (>= 1.3.1), methods, stats, jsonlite, magrittr, httpcode
        (>= 0.2.0), lobstr
Suggests: testthat, webfakes
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2025-12-18 23:15:56 UTC; sckott
Author: Scott Chamberlain [aut, cre]
Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
Repository: CRAN
Date/Publication: 2025-12-18 23:30:02 UTC

## httping 1.0.4

=== Makefile ===
--- 
+++ 
@@ -12,18 +12,20 @@
 # version.  If you delete this exception statement from all source
 # files in the program, then also delete it here.
 
-VERSION=0.0.96
+VERSION=1.0.4
 
-DEBUG=#-g
-LDFLAGS=-lssl $(DEBUG)
+DEBUG=-g
+LDFLAGS=-lssl -lcrypto $(DEBUG)
 CFLAGS=-O2 -Wall -DVERSION=\"$(VERSION)\" $(DEBUG)
 
-OBJS=http.o io.o str.o error.o utils.o main.o tcp.o mssl.o
+OBJS=http.o io.o str.o error.o utils.o main.o tcp.o mssl.o res.o
 
 all: httping
 
 httping: $(OBJS)
 	$(CC) -Wall -W $(OBJS) $(LDFLAGS) -o httping
+	#
+	# Oh, blatant plug: http://keetweej.vanheusden.com/wishlist.html
 
 install: httping
 	cp httping $(DESTDIR)/usr/bin
@@ -36,5 +38,5 @@
 	rm -rf httping-$(VERSION)*
 	mkdir httping-$(VERSION)
 	cp *.c *.h Makefile* readme.txt license.* httping-$(VERSION)
-	tar czf httping-$(VERSION).tgz httping-$(VERSION)
+	tar cf - httping-$(VERSION) | gzip -9 > httping-$(VERSION).tgz
 	rm -rf httping-$(VERSION)

## httping 1.2.1

=== Makefile ===
--- 
+++ 
@@ -12,13 +12,13 @@
 # version.  If you delete this exception statement from all source
 # files in the program, then also delete it here.
 
-VERSION=1.0.4
+include version
 
-DEBUG=-g
-LDFLAGS=-lssl -lcrypto $(DEBUG)
-CFLAGS=-O2 -Wall -DVERSION=\"$(VERSION)\" $(DEBUG)
+DEBUG=-g # -D_DEBUG
+LDFLAGS+=-lssl -lcrypto $(DEBUG)
+CFLAGS+=-O2 -Wall -DVERSION=\"$(VERSION)\" $(DEBUG)
 
-OBJS=http.o io.o str.o error.o utils.o main.o tcp.o mssl.o res.o
+OBJS=mem.o http.o io.o str.o error.o utils.o main.o tcp.o mssl.o res.o
 
 all: httping
 
@@ -29,6 +29,7 @@
 
 install: httping
 	cp httping $(DESTDIR)/usr/bin
+	cp httping.1 $(DESTDIR)/usr/share/man/man1/
 
 clean:
 	rm -f $(OBJS) core httping
@@ -37,6 +38,6 @@
 	# source package
 	rm -rf httping-$(VERSION)*
 	mkdir httping-$(VERSION)
-	cp *.c *.h Makefile* readme.txt license.* httping-$(VERSION)
+	cp *.c *.h httping.1 Makefile* version readme.txt license.* httping-$(VERSION)
 	tar cf - httping-$(VERSION) | gzip -9 > httping-$(VERSION).tgz
 	rm -rf httping-$(VERSION)

## httping 1.3.1

=== Makefile ===
--- 
+++ 
@@ -14,30 +14,76 @@
 
 include version
 
-DEBUG=-g # -D_DEBUG
-LDFLAGS+=-lssl -lcrypto $(DEBUG)
-CFLAGS+=-O2 -Wall -DVERSION=\"$(VERSION)\" $(DEBUG)
+TARGET=httping
 
-OBJS=mem.o http.o io.o str.o error.o utils.o main.o tcp.o mssl.o res.o
+WFLAGS=-Wall -W
+OFLAGS=-O2
+CFLAGS=$(WFLAGS) $(OFLAGS) -DVERSION=\"$(VERSION)\"
 
-all: httping
+PACKAGE=$(TARGET)-$(VERSION)
+PREFIX=/usr
+BINDIR=$(PREFIX)/bin
+MANDIR=$(PREFIX)/share/man
+DOCDIR=$(PREFIX)/doc/$(PACKAGE)
 
-httping: $(OBJS)
-	$(CC) -Wall -W $(OBJS) $(LDFLAGS) -o httping
+INSTALL=install
+INSTALLDIR=$(INSTALL) -m 0755 -d
+INSTALLBIN=$(INSTALL) -m 0755
+INSTALLMAN=$(INSTALL) -m 0644
+INSTALLDOC=$(INSTALL) -m 0644
+STRIP=/usr/bin/strip
+RMDIR=/bin/rm -rf
+MKDIR=/bin/mkdir
+ARCHIVE=/bin/tar cf -
+COMPRESS=/bin/gzip -9
+
+OBJS=mem.o http.o io.o str.o error.o utils.o main.o tcp.o res.o
+
+MANS=httping.1
+
+DOCS=license.txt license.OpenSSL readme.txt
+
+ifeq ($(SSL),no)
+CFLAGS+=-DNO_SSL
+else
+OBJS+=mssl.o
+LDFLAGS+=-lssl -lcrypto
+endif
+
+ifeq ($(DEBUG),yes)
+CFLAGS+=-D_DEBUG -g
+LDFLAGS+=-g
+endif
+
+ifeq ($(ARM),yes)
+CC=arm-linux-gcc
+endif
+
+all: $(TARGET)
+
+$(TARGET): $(OBJS)
+	$(CC) $(WFLAGS) $(OBJS) $(LDFLAGS) -o $(TARGET)
 	#
 	# Oh, blatant plug: http://keetweej.vanheusden.com/wishlist.html
 
-install: httping
-	cp httping $(DESTDIR)/usr/bin
-	cp httping.1 $(DESTDIR)/usr/share/man/man1/
+install: $(TARGET)
+	$(INSTALLDIR) $(DESTDIR)/$(BINDIR)
+	$(INSTALLBIN) $(TARGET) $(DESTDIR)/$(BINDIR)
+	$(INSTALLDIR) $(DESTDIR)/$(MANDIR)/man1
+	$(INSTALLMAN) $(MANS) $(DESTDIR)/$(MANDIR)/man1
+	$(INSTALLDIR) $(DESTDIR)/$(DOCDIR)
+	$(INSTALLDOC) $(DOCS) $(DESTDIR)/$(DOCDIR)
+ifneq (DEBUG,yes)
+	$(STRIP) $(DESTDIR)/$(BINDIR)/$(TARGET)
+endif
 
 clean:
-	rm -f $(OBJS) core httping
+	$(RMDIR) $(OBJS) $(TARGET) *~ core
 
 package: clean
 	# source package
-	rm -rf httping-$(VERSION)*
-	mkdir httping-$(VERSION)
-	cp *.c *.h httping.1 Makefile* version readme.txt license.* httping-$(VERSION)
-	tar cf - httping-$(VERSION) | gzip -9 > httping-$(VERSION).tgz
-	rm -rf httping-$(VERSION)
+	$(RMDIR) $(PACKAGE)*
+	$(MKDIR) $(PACKAGE)
+	$(INSTALLDOC) *.c *.h Makefile version $(MANS) $(DOCS) $(PACKAGE)
+	$(ARCHIVE) $(PACKAGE) | $(COMPRESS) > $(PACKAGE).tgz
+	$(RMDIR) $(PACKAGE)

## httping 1.4.4

=== Makefile ===
--- 
+++ 
@@ -18,13 +18,13 @@
 
 WFLAGS=-Wall -W
 OFLAGS=-O2
-CFLAGS=$(WFLAGS) $(OFLAGS) -DVERSION=\"$(VERSION)\"
+CFLAGS+=$(WFLAGS) $(OFLAGS) -DVERSION=\"$(VERSION)\"
 
 PACKAGE=$(TARGET)-$(VERSION)
 PREFIX=/usr
 BINDIR=$(PREFIX)/bin
 MANDIR=$(PREFIX)/share/man
-DOCDIR=$(PREFIX)/doc/$(PACKAGE)
+DOCDIR=$(PREFIX)/share/doc/$(TARGET)
 
 INSTALL=install
 INSTALLDIR=$(INSTALL) -m 0755 -d

=== debian/changelog ===
httping (1.4.4-1) unstable; urgency=low

  * New upstream release.

 -- Nico Golde <nion@debian.org>  Sat, 24 Jul 2010 15:42:23 +0200

httping (1.4.3-1) unstable; urgency=low

  * New upstream release (Closes: #587210).
  * Bump policy version to 3.9.0, no changes needed.
  * Switch to dpkg-source 3.0 (quilt) format

 -- Nico Golde <nion@debian.org>  Wed, 14 Jul 2010 19:07:37 +0200

httping (1.3.1-2) unstable; urgency=low

  * Temporary remove strndup from str.{c,h} until upstream removed
    it completely (Closes: #552901).
  * Fix FHS compliance of Makefile (Closes: #553094).
  * Override dh_auto_install to remove license.txt and license.OpenSSL
    after installation.
    - adjust debhelper version dependency to 7.0.50~.

 -- Nico Golde <nion@debian.org>  Wed, 04 Nov 2009 18:12:05 +0100

httping (1.3.1-1) unstable; urgency=low

  * New upstream release.
    - Remove fix-fd_leak.patch, remove_memdump_signal-handler.patch
      incorporated upstream.
    - The host can be specified directly, there is no need for -g
      anymore so httping google.com also works (Closes: #528940).
      - Remove quilt again.
  * Bump policy version to 3.8.3, no changes needed.

 -- Nico Golde <nion@debian.org>  Sun, 16 Aug 2009 14:45:32 +0200

httping (1.3.0-2) unstable; urgency=low

  * Bump standards version (no changes needed).
  * Add build-dependency on quilt:
    + Add dh --with quilt call to debian/rules and switch to
      a debhelper 7-ish rules file.
        + Bump debhelper dependency to >= 7.0.8 and quilt >= 0.46-7.
    + Remove mem_dump functionality via signal as it blocks SIGHUP
      which causes httping to continue running even if for example
      an ssh connection was closed
      (remove_memdump_signal-handler.patch; Closes: #531883).
    + Fix file descriptor leak on timeouts
      (fix-fd_leak.patch; Closes: #532172).

 -- Nico Golde <nion@debian.org>  Wed, 29 Jul 2009 19:56:10 +0200

httping (1.3.0-1) unstable; urgency=low

  * New upstream release.
  * Use dh_prep instead of dh_clean -k as the latter one is deprecated
    now.
  * Point license link in debian/copyright to GPL-2 as httping is not
    licensed under the GPL-3.
  * Fix copyright-with-old-dh-make-debian-copyright.
  * Rewrite long description.

 -- Nico Golde <nion@debian.org>  Mon, 09 Mar 2009 14:33:40 +0100

httping (1.2.9-1) unstable; urgency=low

  * New upstream release.
  * Bump policy version to 3.8.0, no changes needed.
  * Bump compat version and debhelper dependency to 7.

 -- Nico Golde <nion@debian.org>  Fri, 03 Oct 2008 15:06:41 +0200

httping (1.2.6-1) unstable; urgency=low

  * New upstream release.

 -- Nico Golde <nion@debian.org>  Mon, 26 May 2008 13:45:08 +0200

httping (1.2.5-2) unstable; urgency=low

  * Bump standards version to 3.7.3, no changes needed.
  * Bump compat level to 6 as it is the standard now.
  * Remove homepage tag and use the Homepage control field instead.
  * Add openssl linkage exception to copyright file.
  * Fix Copyright line by adding the years.

 -- Nico Golde <nion@debian.org>  Mon, 03 Mar 2008 00:12:37 +0100

httping (1.2.5-1) unstable; urgency=low

  * New upstream release.
  * Removed suppression of clean target output.

 -- Nico Golde <nion@debian.org>  Fri, 27 Jul 2007 14:36:12 +0200

httping (1.2.3-1) unstable; urgency=low

  * New upstream release.
    - Added audible ping functionality.
  * Removed patch stuff, patch was included by upstream.
  * Added watch file.
  * Fixed copyright.

 -- Nico Golde <nion@debian.org>  Tue, 01 May 2007 21:55:26 +0200

httping (1.2.2-2) unstable; urgency=low

  * Included patch for audible ping until it gets into 
    upstream sources (Closes: #352648).
  * New dependency on dpatch because of the patch.
  * Changed maintainer address.
  * Removed nossl build stuff.

 -- Nico Golde <nion@debian.org>  Wed, 28 Mar 2007 18:00:50 +0200

httping (1.2.2-1) unstable; urgency=low

  * new upstream release.

 -- Nico Golde <nico@ngolde.de>  Tue,  5 Dec 2006 18:16:32 +0100

httping (1.2.1-1) unstable; urgency=low

  * New upstream release and new maintainer.
  * Adapted policy version (no changes needed).
  * Added Homepage tag to control file.
  * Bumped debhelper compatibility level to 5 and adapted dependency.
  * Adapted copyright notice to the new maintainer.
  * Removed debian/httping.1 since upstream ships manpage.
  * Removed dh_installexamples call from rules, not needed.

 -- Nico Golde <nico@ngolde.de>  Wed, 13 Sep 2006 01:06:25 +0200

httping (1.0.4-1) unstable; urgency=low

  * New upstream release.
  * Changed maintainer's address.
  * Sync with policy version.

 -- David Moreno Garza <damog@debian.org>  Sat, 20 Aug 2005 18:25:51 -0500

httping (0.0.96-1) unstable; urgency=low

  * New upstream release.
  * Removed httping-nossl binary package since it's useless (Closes:
    #281636).

 -- David Moreno Garza <damog@damog.net>  Sun, 30 Jan 2005 23:16:50 -0600

httping (0.0.95-1) unstable; urgency=low

  * Initial Release (Closes: #247399).

 -- David Moreno Garza <damog@damog.net>  Tue, 14 Sep 2004 11:41:38 -0500

=== debian/control ===
Source: httping
Section: net
Priority: optional
Maintainer: Nico Golde <nion@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libssl-dev
Standards-Version: 3.9.0
Homepage: http://www.vanheusden.com/httping

Package: httping
Architecture: any
Depends: ${shlibs:Depends}, openssl, ${misc:Depends}
Replaces: httping-nossl
Description: ping-like program for http-requests
 httping is like ping for HTTP. It sends requests to a hostname or a remote
 URL and it shows you how long it takes to connect, send a HTTP request and
 retrieve the reply (only the header).
 .
 It supports SSL as well as various different ways to use it.

## httping 1.5.3

=== Makefile ===
--- 
+++ 
@@ -16,9 +16,10 @@
 
 TARGET=httping
 
+DEBUG=yes
 WFLAGS=-Wall -W
 OFLAGS=-O2
-CFLAGS+=$(WFLAGS) $(OFLAGS) -DVERSION=\"$(VERSION)\"
+CFLAGS+=$(WFLAGS) $(OFLAGS) -DVERSION=\"$(VERSION)\" -g
 
 PACKAGE=$(TARGET)-$(VERSION)
 PREFIX=/usr

=== debian/changelog ===
httping (1.5.3-1) unstable; urgency=low

  * New upstream release.
    - Displays IP of pinged host (Closes: #675242).
    - Does no longer read only one byte at a time (Closes: #604823).
    - Signal handling works properly, also with SSL (Closes: #539552).
  * Bump standards version.

 -- Nico Golde <nion@debian.org>  Wed, 30 May 2012 20:43:06 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Nico Golde <nion@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), libssl-dev
-Standards-Version: 3.9.0
+Standards-Version: 3.9.3
 Homepage: http://www.vanheusden.com/httping
 
 Package: httping

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install PREFIX=$(CURDIR)/debian/httping/usr
	rm $(CURDIR)/debian/httping/usr/share/doc/httping/license.txt
	rm $(CURDIR)/debian/httping/usr/share/doc/httping/license.OpenSSL

=== debian/watch ===
version=3
http://www.vanheusden.com/httping/httping-(.*)\.tgz

## httping 1.5.5

=== Makefile ===
--- 
+++ 
@@ -18,8 +18,8 @@
 
 DEBUG=yes
 WFLAGS=-Wall -W
-OFLAGS=-O2
-CFLAGS+=$(WFLAGS) $(OFLAGS) -DVERSION=\"$(VERSION)\" -g
+OFLAGS=-O3
+CFLAGS+=$(WFLAGS) $(OFLAGS) -DVERSION=\"$(VERSION)\"
 
 PACKAGE=$(TARGET)-$(VERSION)
 PREFIX=/usr
@@ -52,7 +52,7 @@
 endif
 
 ifeq ($(DEBUG),yes)
-CFLAGS+=-D_DEBUG -g
+CFLAGS+=-D_DEBUG -ggdb
 LDFLAGS+=-g
 endif
 
@@ -79,7 +79,7 @@
 endif
 
 clean:
-	$(RMDIR) $(OBJS) $(TARGET) *~ core
+	$(RMDIR) $(OBJS) $(TARGET) *~ core cov-int
 
 package: clean
 	# source package
@@ -88,3 +88,13 @@
 	$(INSTALLDOC) *.c *.h Makefile version $(MANS) $(DOCS) $(PACKAGE)
 	$(ARCHIVE) $(PACKAGE) | $(COMPRESS) > $(PACKAGE).tgz
 	$(RMDIR) $(PACKAGE)
+
+check:
+	cppcheck -v --enable=all --std=c++11 --inconclusive -I. . 2> err.txt
+
+coverity: clean
+	rm -rf cov-int
+	CC=gcc cov-build --dir cov-int make all
+	tar vczf ~/site/coverity/httping.tgz README cov-int/
+	putsite -q
+	/home/folkert/.coverity-hp.sh

=== debian/changelog ===
httping (1.5.5-1) unstable; urgency=low

  * New upstream release.
    - Fixes invalid free of hostname (Closes: #690358).

 -- Nico Golde <nion@debian.org>  Wed, 17 Oct 2012 21:40:54 +0200

httping (1.5.4-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version.
  * Add cppcheck to build-dependencies as required by upstream makefile.

 -- Nico Golde <nion@debian.org>  Thu, 11 Oct 2012 17:14:36 +0200

## httping 1.5.7

=== debian/changelog ===
httping (1.5.7-1) unstable; urgency=low

  * New upstream release.

 -- Nico Golde <nion@debian.org>  Sun, 10 Feb 2013 17:21:08 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Nico Golde <nion@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libssl-dev
+Build-Depends: debhelper (>= 7.0.50~), libssl-dev, cppcheck
 Standards-Version: 3.9.3
 Homepage: http://www.vanheusden.com/httping

## httping 1.5.8

=== Makefile ===
--- 
+++ 
@@ -44,11 +44,18 @@
 
 DOCS=license.txt license.OpenSSL readme.txt
 
+# support for tcp fast open?
+# TFO=yes
+
 ifeq ($(SSL),no)
 CFLAGS+=-DNO_SSL
 else
 OBJS+=mssl.o
 LDFLAGS+=-lssl -lcrypto
+endif
+
+ifeq ($(TFO),yes)
+CFLAGS+=-DTCP_TFO
 endif
 
 ifeq ($(DEBUG),yes)
@@ -74,7 +81,7 @@
 	$(INSTALLMAN) $(MANS) $(DESTDIR)/$(MANDIR)/man1
 	$(INSTALLDIR) $(DESTDIR)/$(DOCDIR)
 	$(INSTALLDOC) $(DOCS) $(DESTDIR)/$(DOCDIR)
-ifneq (DEBUG,yes)
+ifneq ($(DEBUG),yes)
 	$(STRIP) $(DESTDIR)/$(BINDIR)/$(TARGET)
 endif

=== debian/changelog ===
httping (1.5.8-1) unstable; urgency=low

  * New upstream release
    - new switch to prevent httping from exiting when it can't
      resolve the host name (Closes: #699464).
  * Bump standards version, no changes required.
  * Build package with hardening-wrapper.

 -- Nico Golde <nion@debian.org>  Tue, 19 Feb 2013 15:39:36 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Nico Golde <nion@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libssl-dev, cppcheck
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7.0.50~), libssl-dev, cppcheck, hardening-wrapper
+Standards-Version: 3.9.4
 Homepage: http://www.vanheusden.com/httping
 
 Package: httping

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_HARDENING=1
 
 %:
 	dh $@

## httping 2.3.4

=== Makefile ===
--- 
+++ 
@@ -11,18 +11,36 @@
 # do not wish to do so, delete this exception statement from your
 # version.  If you delete this exception statement from all source
 # files in the program, then also delete it here.
+# $Revision: 270 $
+
+-include makefile.inc
+
+# *** configure script ***
+# support for tcp fast open?
+#TFO=yes
+# disable SSL? (no = disable so the default is use openssl)
+# SSL=no
+# enable NCURSES interface?
+#NC=yes
+# do fft in ncurses interface? (requires libfftw3)
+#FW=yes
+
+############# do not change anything below here #############
 
 include version
 
 TARGET=httping
 
+LOCALEDIR=/usr/share/locale
+
 DEBUG=yes
 WFLAGS=-Wall -W
-OFLAGS=-O3
-CFLAGS+=$(WFLAGS) $(OFLAGS) -DVERSION=\"$(VERSION)\"
+OFLAGS=
+CFLAGS+=$(WFLAGS) $(OFLAGS) -DVERSION=\"$(VERSION)\" -DLOCALEDIR=\"$(LOCALEDIR)\"
+LDFLAGS+=-lm
 
 PACKAGE=$(TARGET)-$(VERSION)
-PREFIX=/usr
+PREFIX?=/usr
 BINDIR=$(PREFIX)/bin
 MANDIR=$(PREFIX)/share/man
 DOCDIR=$(PREFIX)/share/doc/$(TARGET)
@@ -38,14 +56,14 @@
 ARCHIVE=/bin/tar cf -
 COMPRESS=/bin/gzip -9
 
-OBJS=mem.o http.o io.o str.o error.o utils.o main.o tcp.o res.o
+TRANSLATIONS=nl.mo
 
-MANS=httping.1
+OBJS=gen.o http.o io.o error.o utils.o main.o tcp.o res.o socks5.o kalman.o cookies.o help.o colors.o
+
+MAN_EN=httping.1
+MAN_NL=httping-nl.1
 
 DOCS=license.txt license.OpenSSL readme.txt
-
-# support for tcp fast open?
-# TFO=yes
 
 ifeq ($(SSL),no)
 CFLAGS+=-DNO_SSL
@@ -58,6 +76,18 @@
 CFLAGS+=-DTCP_TFO
 endif
 
+ifeq ($(NC),yes)
+CFLAGS+=-DNC
+OBJS+=nc.o
+LDFLAGS+=-lncursesw
+endif
+
+ifeq ($(FW),yes)
+CFLAGS+=-DFW
+OBJS+=fft.o
+LDFLAGS+=-lfftw3
+endif
+
 ifeq ($(DEBUG),yes)
 CFLAGS+=-D_DEBUG -ggdb
 LDFLAGS+=-g
@@ -67,39 +97,57 @@
 CC=arm-linux-gcc
 endif
 
-all: $(TARGET)
+all: $(TARGET) $(TRANSLATIONS)
 
 $(TARGET): $(OBJS)
 	$(CC) $(WFLAGS) $(OBJS) $(LDFLAGS) -o $(TARGET)
 	#
-	# Oh, blatant plug: http://keetweej.vanheusden.com/wishlist.html
+	# Oh, blatant plug: http://www.vanheusden.com/wishlist.php
 
-install: $(TARGET)
+install: $(TARGET) $(TRANSLATIONS)
 	$(INSTALLDIR) $(DESTDIR)/$(BINDIR)
 	$(INSTALLBIN) $(TARGET) $(DESTDIR)/$(BINDIR)
 	$(INSTALLDIR) $(DESTDIR)/$(MANDIR)/man1
-	$(INSTALLMAN) $(MANS) $(DESTDIR)/$(MANDIR)/man1
+	$(INSTALLMAN) $(MAN_EN) $(DESTDIR)/$(MANDIR)/man1
+	$(INSTALLDIR) $(DESTDIR)/$(MANDIR)/nl/man1
+	$(INSTALLMAN) $(MAN_NL) $(DESTDIR)/$(MANDIR)/nl/man1
 	$(INSTALLDIR) $(DESTDIR)/$(DOCDIR)
 	$(INSTALLDOC) $(DOCS) $(DESTDIR)/$(DOCDIR)
 ifneq ($(DEBUG),yes)
 	$(STRIP) $(DESTDIR)/$(BINDIR)/$(TARGET)
 endif
+	mkdir -p $(DESTDIR)/$(PREFIX)/share/locale/nl/LC_MESSAGES
+	cp nl.mo $(DESTDIR)/$(PREFIX)/share/locale/nl/LC_MESSAGES/httping.mo
+
+makefile.inc:
+	./configure
+
+nl.mo: nl.po
+	msgfmt -o nl.mo nl.po
 
 clean:
-	$(RMDIR) $(OBJS) $(TARGET) *~ core cov-int
+	$(RMDIR) $(OBJS) $(TARGET) *~ core cov-int *.mo
 
-package: clean
+distclean: clean
+	rm -f makefile.inc
+
+package:
 	# source package
 	$(RMDIR) $(PACKAGE)*
 	$(MKDIR) $(PACKAGE)
-	$(INSTALLDOC) *.c *.h Makefile version $(MANS) $(DOCS) $(PACKAGE)
+	$(INSTALLDOC) *.c *.h configure Makefile *.po version $(MAN_EN) $(MAN_NL) $(DOCS) $(PACKAGE)
+	$(INSTALLBIN) configure $(PACKAGE)
 	$(ARCHIVE) $(PACKAGE) | $(COMPRESS) > $(PACKAGE).tgz
 	$(RMDIR) $(PACKAGE)
 
-check:
-	cppcheck -v --enable=all --std=c++11 --inconclusive -I. . 2> err.txt
+check: makefile.inc
+	cppcheck -v --force -j 3 --enable=all --std=c++11 --inconclusive -I. . 2> err.txt
+	#
+	make clean
+	scan-build make
 
-coverity: clean
+coverity: makefile.inc
+	make clean
 	rm -rf cov-int
 	CC=gcc cov-build --dir cov-int make all
 	tar vczf ~/site/coverity/httping.tgz README cov-int/

=== debian/changelog ===
httping (2.3.4-1) unstable; urgency=low

  * New upstream release.
   + support IPv6 (Closes: #714892)
   + fix segfault on slow responses (Closes: #686196)
   + manpage fixes (Closes: #689865)
  * Bump standards version, no changes required.
  * Bump compat level to 9.
  * Add clang to build-depends due to scan-build requirement.
  * Add libncursesw5-dev and libncursesw to build-depends for ncurses UI
    support.
  * Remove hardening-wrapper from build-depends as it is deprecated by now.

 -- Nico Golde <nion@debian.org>  Fri, 31 Oct 2014 12:57:05 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Nico Golde <nion@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libssl-dev, cppcheck, hardening-wrapper
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), libssl-dev, cppcheck, clang, libncursesw5-dev, libncurses5-dev, libfftw3-dev, dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.6
 Homepage: http://www.vanheusden.com/httping
 
 Package: httping

## httping 2.4

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # do not wish to do so, delete this exception statement from your
 # version.  If you delete this exception statement from all source
 # files in the program, then also delete it here.
-# $Revision: 270 $
+# $Revision: 278 $
 
 -include makefile.inc
 
@@ -34,7 +34,7 @@
 LOCALEDIR=/usr/share/locale
 
 DEBUG=yes
-WFLAGS=-Wall -W
+WFLAGS=-Wall -W -Wextra -pedantic -D_FORTIFY_SOURCE=2
 OFLAGS=
 CFLAGS+=$(WFLAGS) $(OFLAGS) -DVERSION=\"$(VERSION)\" -DLOCALEDIR=\"$(LOCALEDIR)\"
 LDFLAGS+=-lm

=== debian/changelog ===
httping (2.4-1) unstable; urgency=low

  * New upstream release
  * New maintainer (Closes: #800751)
  * debian/patches
   + manpage fixes hyphen-used-as-minus-sign 
  * Copyright corrections to meet debian copyright standard
  * Removed 'Replaces http-nossl' from control 

 -- Abhijith PA <abhijith@openmailbox.org>  Thu, 08 Oct 2015 19:15:42 +0530

=== debian/control ===
Source: httping
Section: net
Priority: optional
Maintainer: Abhijith PA <abhijith@openmailbox.org>
Build-Depends: debhelper (>= 9), libssl-dev, cppcheck, clang, libncursesw5-dev, libncurses5-dev, libfftw3-dev, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/httping.git
Vcs-Git: git://anonscm.debian.org/collab-maint/httping.git
Homepage: http://www.vanheusden.com/httping

Package: httping
Architecture: any
Depends: ${shlibs:Depends}, openssl, ${misc:Depends}
Description: ping-like program for http-requests
 httping is like ping for HTTP. It sends requests to a hostname or a remote
 URL and it shows you how long it takes to connect, send a HTTP request and
 retrieve the reply (only the header).
 .
 It supports SSL as well as various different ways to use it.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_HARDENING=1
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@

## httping 2.5

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,6 @@
 # do not wish to do so, delete this exception statement from your
 # version.  If you delete this exception statement from all source
 # files in the program, then also delete it here.
-# $Revision: 278 $
 
 -include makefile.inc
 
@@ -56,12 +55,13 @@
 ARCHIVE=/bin/tar cf -
 COMPRESS=/bin/gzip -9
 
-TRANSLATIONS=nl.mo
+TRANSLATIONS=nl.mo ru.mo
 
 OBJS=gen.o http.o io.o error.o utils.o main.o tcp.o res.o socks5.o kalman.o cookies.o help.o colors.o
 
 MAN_EN=httping.1
 MAN_NL=httping-nl.1
+MAN_RU=httping-ru.1
 
 DOCS=license.txt license.OpenSSL readme.txt
 
@@ -111,6 +111,8 @@
 	$(INSTALLMAN) $(MAN_EN) $(DESTDIR)/$(MANDIR)/man1
 	$(INSTALLDIR) $(DESTDIR)/$(MANDIR)/nl/man1
 	$(INSTALLMAN) $(MAN_NL) $(DESTDIR)/$(MANDIR)/nl/man1
+	$(INSTALLDIR) $(DESTDIR)/$(MANDIR)/ru/man1
+	$(INSTALLMAN) $(MAN_RU) $(DESTDIR)/$(MANDIR)/ru/man1
 	$(INSTALLDIR) $(DESTDIR)/$(DOCDIR)
 	$(INSTALLDOC) $(DOCS) $(DESTDIR)/$(DOCDIR)
 ifneq ($(DEBUG),yes)
@@ -118,12 +120,18 @@
 endif
 	mkdir -p $(DESTDIR)/$(PREFIX)/share/locale/nl/LC_MESSAGES
 	cp nl.mo $(DESTDIR)/$(PREFIX)/share/locale/nl/LC_MESSAGES/httping.mo
+	mkdir -p $(DESTDIR)/$(PREFIX)/share/locale/ru/LC_MESSAGES
+	cp ru.mo $(DESTDIR)/$(PREFIX)/share/locale/ru/LC_MESSAGES/httping.mo
+
 
 makefile.inc:
 	./configure
 
 nl.mo: nl.po
 	msgfmt -o nl.mo nl.po
+ru.mo: ru.po
+	msgfmt -o ru.mo ru.po
+
 
 clean:
 	$(RMDIR) $(OBJS) $(TARGET) *~ core cov-int *.mo
@@ -135,7 +143,7 @@
 	# source package
 	$(RMDIR) $(PACKAGE)*
 	$(MKDIR) $(PACKAGE)
-	$(INSTALLDOC) *.c *.h configure Makefile *.po version $(MAN_EN) $(MAN_NL) $(DOCS) $(PACKAGE)
+	$(INSTALLDOC) *.c *.h configure Makefile *.po version $(MAN_EN) $(MAN_NL) $(MAN_RU) $(DOCS) $(PACKAGE)
 	$(INSTALLBIN) configure $(PACKAGE)
 	$(ARCHIVE) $(PACKAGE) | $(COMPRESS) > $(PACKAGE).tgz
 	$(RMDIR) $(PACKAGE)

=== debian/changelog ===
httping (2.5-4) unstable; urgency=medium

  * Enable autopkgtest and add some smoketests.

  [Helmut Grohne] 
  * Fix FTCBFS: Export a cross compiler for ./configure and make.
    (Closes: #913845)

 -- Abhijith PA <abhijith@disroot.org>  Fri, 16 Nov 2018 14:12:29 +0530

httping (2.5-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Annotate clang dependencies with <!nocheck>. (Closes: #912692)

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 02 Nov 2018 22:17:08 +0100

httping (2.5-3) unstable; urgency=medium

  * Switch build-depend back to (unversionned)clang-tools
    (Closes: #902813)

 -- Abhijith PA <abhijith@disroot.org>  Fri, 03 Aug 2018 10:22:16 +0530

httping (2.5-2) unstable; urgency=medium

  * Correct Build-depend clang-tools to clang-tools-4.0
  * Bumps Standards-Version to 4.1.4 and debhelper to 11
  * Change maintainer's email address
  * Change VCS url to new salsa.debian.org

 -- Abhijith PA <abhijith@disroot.org>  Sat, 07 Apr 2018 20:23:07 +0530

httping (2.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on clang-tools. (Closes: #891407)

 -- Adrian Bunk <bunk@debian.org>  Sun, 18 Mar 2018 22:14:33 +0200

httping (2.5-1) unstable; urgency=low

  * New upstream release
  * Build with TFO,ncurses,openssl,fftw3 support (Closes: #828048)
  * Bumps Standards-Version to 3.9.8
  * Remove dpkg-dev from Build-Depends
  * Fix Vcs-Git URI
  * Remove patches/hyphen.patch . Lintian is happy

 -- Abhijith PA <abhijith@openmailbox.org>  Mon, 12 Sep 2016 15:13:29 +0530

=== debian/control ===
Source: httping
Section: net
Priority: optional
Maintainer: Abhijith PA <abhijith@disroot.org>
Build-Depends: debhelper (>= 11),
               libssl-dev,
               clang <!nocheck>,
               clang-tools <!nocheck>,
               libncursesw5-dev,
               libncurses5-dev,
               libfftw3-dev,
               cppcheck
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/debian/httping
Vcs-Git: https://salsa.debian.org/debian/httping.git
Homepage: http://www.vanheusden.com/httping
Testsuite: autopkgtest

Package: httping
Architecture: any
Depends: ${shlibs:Depends},
         openssl,
         ${misc:Depends}
Description: ping-like program for http-requests
 httping is like ping for HTTP. It sends requests to a hostname or a remote
 URL and it shows you how long it takes to connect, send a HTTP request and
 retrieve the reply (only the header).
 .
 It supports SSL as well as various different ways to use it.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_BUILD_HARDENING=1
-include /usr/share/dpkg/buildflags.mk
export CC

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install PREFIX=$(CURDIR)/debian/httping/usr
	rm $(CURDIR)/debian/httping/usr/share/doc/httping/license.txt
	rm $(CURDIR)/debian/httping/usr/share/doc/httping/license.OpenSSL

override_dh_auto_configure:
	./configure --with-tfo --with-ncurses --with-openssl --with-fftw3

=== debian/tests/control ===
Test-Command: httping --version
Depends: @
Restrictions: allow-stderr

Test-Command: httping -c 2 https://debian.org
Depends: openssl
Restrictions: allow-stderr

Test-Command: httping -F -c 4 http://google.com
Depends: @builddeps@
Restrictions: allow-stderr

## httping 4.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

add_compile_options(-Wall -pedantic -Wextra)

project(httping LANGUAGES C VERSION "4.4.0")

# Create compile_commands.json file
set(CMAKE_EXPORT_COMPILE_COMMANDS 1)

if(NOT PROJECT_SOURCE_DIR STREQUAL PROJECT_BINARY_DIR)
  # Git auto-ignore out-of-source build directory
  file(GENERATE OUTPUT .gitignore CONTENT "*")
endif()

option(USE_TUI "Enable text user interface" OFF)
option(USE_FFTW3 "Enable FFTW3 backend (depedns on USE_TUI)" OFF)
option(USE_SSL "Enable SSL support" OFF)
option(USE_GETTEXT "Enable interantionalization" OFF)

set(SOURCES  colors.c cookies.c error.c fft.c gen.c help.c http.c io.c kalman.c main.c mssl.c nc.c res.c socks5.c tcp.c utils.c)
add_executable(httping ${SOURCES})

target_link_libraries(httping m)

if(USE_GETTEXT)
  find_package(Gettext REQUIRED)

  find_package(Intl REQUIRED)
  target_link_libraries(httping Intl::Intl)
endif()

set(CMAKE_BUILD_TYPE Debug)

include(FindPkgConfig)

if(USE_TUI)
  pkg_check_modules(NCURSES REQUIRED ncurses)
  target_link_libraries(httping ${NCURSES_LIBRARIES})
  target_include_directories(httping PUBLIC ${NCURSES_INCLUDE_DIRS})
  target_compile_options(httping PUBLIC ${NCURSES_CFLAGS_OTHER})

  if(USE_FFTW3)
    pkg_check_modules(FFTW3 REQUIRED fftw3)
    target_link_libraries(httping ${FFTW3_LIBRARIES})
    target_include_directories(httping PUBLIC ${FFTW3_INCLUDE_DIRS})
    target_compile_options(httping PUBLIC ${FFTW3_CFLAGS_OTHER})
  endif()
endif()

if(USE_SSL)
  find_package(OpenSSL REQUIRED)
  target_link_libraries(httping OpenSSL::SSL OpenSSL::Crypto)
endif()

include(GNUInstallDirs)

if(USE_GETTEXT)
  add_subdirectory(po)
endif()

configure_file(config.h.in config.h)
target_include_directories(httping PUBLIC "${PROJECT_BINARY_DIR}")

install(TARGETS httping DESTINATION bin)
install(FILES README.md LICENSE plot-json.py DESTINATION ${CMAKE_INSTALL_DOCDIR})
install(FILES httping.1 DESTINATION ${CMAKE_INSTALL_MANDIR})

# setup summary
message(STATUS "CMake version: ${CMAKE_VERSION}")
message(STATUS "Use SSL: ${USE_SSL}")
message(STATUS "Use TUI: ${USE_TUI}")
message(STATUS "Use FFTW3: ${USE_FFTW3}")
message(STATUS "Use gettext: ${USE_GETTEXT}")

=== po/CMakeLists.txt ===
set(catalogname httping)

file(GLOB PO_FILES *.po)

foreach(_poFile ${PO_FILES})
  get_filename_component(_poFileName ${_poFile} NAME)
  string(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName})
  string(REGEX REPLACE "\\.po$" "" _langCode ${_langCode})

  if( _langCode )
    get_filename_component(_lang ${_poFile} NAME_WE)
    set(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)

    gettext_process_po_files(${_langCode} ALL PO_FILES ${_poFile})
    install(
      FILES ${_gmoFile}
      DESTINATION ${CMAKE_INSTALL_LOCALEDIR}/${_langCode}/LC_MESSAGES/
      RENAME ${catalogname}.mo
    )
  endif()

endforeach()

=== debian/changelog ===
httping (4.4.0-3) unstable; urgency=medium

  * Fix FTCBFS: Fix build vs host confusion. (Closes: #1103913)
    Thanks to Helmut Grohne <helmut@subdivi.de>

 -- Abhijith PA <abhijith@debian.org>  Fri, 02 May 2025 11:13:57 +0530

httping (4.4.0-2) unstable; urgency=medium

  * Drop build-depends cppcheck and add gettext.
  * Bump Standards-Version.

 -- Abhijith PA <abhijith@debian.org>  Mon, 24 Mar 2025 13:09:56 +0530

httping (4.4.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1059398)
  * d/rules: Use dh_installman for manpages
    + use dh_auto_configure to enable SSL, ncurses and other
      functionalities.
  * d/control: Bump Standards-Versions to 4.7.0
    + Add build depends pkgconf
  * Add salsa-ci.yml

 -- Abhijith PA <abhijith@debian.org>  Wed, 05 Mar 2025 10:27:33 +0530

httping (2.5-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add needs-internet restrictions to autopkgtest. (Closes: #955535)
  * Remove unnecessary test depends.

 -- Adrian Bunk <bunk@debian.org>  Fri, 08 May 2020 09:30:50 +0300

httping (2.5-5) unstable; urgency=medium

  * debian/tests/control: update the depends for ci.debian.net
  * debian/rules: Correct the patch applied for #913845
  * debian/control: Remove Testsuite field 

 -- Abhijith PA <abhijith@disroot.org>  Tue, 20 Nov 2018 16:02:29 +0530

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: httping
 Section: net
 Priority: optional
-Maintainer: Abhijith PA <abhijith@disroot.org>
-Build-Depends: debhelper (>= 11),
+Maintainer: Abhijith PA <abhijith@debian.org>
+Build-Depends: debhelper-compat (= 13),
                libssl-dev,
                clang <!nocheck>,
                clang-tools <!nocheck>,
-               libncursesw5-dev,
-               libncurses5-dev,
+               libncurses-dev,
                libfftw3-dev,
-               cppcheck
-Standards-Version: 4.1.4
+               cmake,
+               pkgconf,
+               gettext
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/httping
 Vcs-Git: https://salsa.debian.org/debian/httping.git
 Homepage: http://www.vanheusden.com/httping
-Testsuite: autopkgtest
+Rules-Requires-Root: no
 
 Package: httping
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/buildflags.mk
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
		dh $@ --buildsystem=cmake

override_dh_auto_configure:
		dh_auto_configure -- \
			-DUSE_TUI=ON -DUSE_FFTW3=ON \
			-DUSE_SSL=ON -DUSE_GETTEXT=ON

override_dh_auto_install:
		mkdir -p $(CURDIR)/debian/httping/usr/bin
		cp $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/httping  $(CURDIR)/debian/httping/usr/bin
		dh_installman httping.1

=== debian/tests/control ===
Test-Command: httping --version
Depends: @
Restrictions: allow-stderr

Test-Command: httping -c 2 https://debian.org
Depends: @
Restrictions: allow-stderr, needs-internet

Test-Command: httping -F -c 4 http://google.com
Depends: @
Restrictions: allow-stderr, needs-internet

=== debian/watch ===
version=4
https://github.com/folkertvanheusden/HTTPing/tags .*/v?(\d.*)@ARCHIVE_EXT@
